	.386
	.model	use32 small

	extrn	allerrl : proc
	public	_atan2l
	.data
nm	db	"atan2l",0
	.code
_atan2l:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	lea	edx,[ebp+20]
	fld	tbyte ptr [ecx]
	fld	tbyte ptr [edx]
	fpatan
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end